Bug 15233 - sd.c: major_gendisks undeclared
Summary: sd.c: major_gendisks undeclared
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-03 13:59 UTC by Bernhard Ege
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-03 14:00:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bernhard Ege 2000-08-03 14:00:00 UTC
Compiling the source, having configured scsi support as module, leads to
the following error:

kgcc -D__KERNEL__ -I/usr/src/linux-2.2.16/include -Wall -Wstrict-prototypes
-O2 -fomit-frame-pointer -fno-strict-aliasing -pipe -fno-strength-reduce
-m486 -malign-loops=2 -malign-jumps=2 -malign-functions=2 -DCPU=686
-DMODULE   -c -o sd.o sd.c
{standard input}: Assembler messages:
{standard input}:9: Warning: Ignoring changed section attributes for
.modinfo
sd.c: In function `cleanup_module':
sd.c:1835: `major_gendisks' undeclared (first use in this function)
sd.c:1835: (Each undeclared identifier is reported only once
sd.c:1835: for each function it appears in.)
make[2]: *** [sd.o] Error 1
make[2]: Leaving directory `/usr/src/linux-2.2.16/drivers/scsi'

I believe this should have been major_gendisk, not major_gendisks (notice
the s).

regards,

Bernhard Ege

Comment 1 Michael K. Johnson 2000-08-04 20:09:47 UTC
Thanks for finding that; it will be fixed in the next
kernel build we do.  Your analysis is correct.


Note You need to log in before you can comment on or make changes to this bug.